com.rscja.deviceapi.entity

## Class BarcodeResult

- java.lang.Object
- - com.rscja.deviceapi.entity.BarcodeResult

-     public class BarcodeResult
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A`
    `static java.lang.String` | `B`
    `static java.lang.String` | `C`
    `static java.lang.String` | `D`
    `static java.lang.String` | `E`
    `static java.lang.String` | `F`
    `static java.lang.String` | `G`
    `static java.lang.String` | `H`
    `static java.lang.String` | `J`
    `static java.lang.String` | `K`
    `static java.lang.String` | `L`
    `static java.lang.String` | `M`
    `static java.lang.String` | `N`
    `static java.lang.String` | `P00`
    `static java.lang.String` | `P01`
    `static java.lang.String` | `P02`
    `static java.lang.String` | `P03`
    `static java.lang.String` | `P04`
    `static java.lang.String` | `P05`
    `static java.lang.String` | `P06`
    `static java.lang.String` | `P08`
    `static java.lang.String` | `P09`
    `static java.lang.String` | `P0A`
    `static java.lang.String` | `P0B`
    `static java.lang.String` | `P0H`
    `static java.lang.String` | `P0X`
    `static java.lang.String` | `R`
    `static java.lang.String` | `S`
    `static java.lang.String` | `T`
    `static java.lang.String` | `U`
    `static java.lang.String` | `V`
    `static java.lang.String` | `X`
    `static java.lang.String` | `Z`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BarcodeResult` | `build(byte[] data, boolean isContainCodeId, boolean isContainSSIID)`
    `byte[]` | `getBarcodeBytesData()`
    `java.lang.String` | `getBarcodeCodeID()`
    `int` | `getBarcodeSSIID()`
    `static java.lang.String` | `getBarcodeTypeByCodeId(java.lang.String CodeId)`
    `static java.lang.String` | `getBarcodeTypeBySSIID(int ssiId)`
    `void` | `setBarcodeBytesData(byte[] barcodeBytesData)`
    `void` | `setBarcodeCodeID(java.lang.String barcodeCodeID)`
    `void` | `setBarcodeSSIID(int barcodeSSIID)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### A

          public static final java.lang.String A

      See Also:
        Constant Field Values

    - #### B

          public static final java.lang.String B

      See Also:
        Constant Field Values

    - #### C

          public static final java.lang.String C

      See Also:
        Constant Field Values

    - #### D

          public static final java.lang.String D

      See Also:
        Constant Field Values

    - #### E

          public static final java.lang.String E

      See Also:
        Constant Field Values

    - #### F

          public static final java.lang.String F

      See Also:
        Constant Field Values

    - #### G

          public static final java.lang.String G

      See Also:
        Constant Field Values

    - #### H

          public static final java.lang.String H

      See Also:
        Constant Field Values

    - #### J

          public static final java.lang.String J

      See Also:
        Constant Field Values

    - #### K

          public static final java.lang.String K

      See Also:
        Constant Field Values

    - #### L

          public static final java.lang.String L

      See Also:
        Constant Field Values

    - #### M

          public static final java.lang.String M

      See Also:
        Constant Field Values

    - #### N

          public static final java.lang.String N

      See Also:
        Constant Field Values

    - #### R

          public static final java.lang.String R

      See Also:
        Constant Field Values

    - #### S

          public static final java.lang.String S

      See Also:
        Constant Field Values

    - #### T

          public static final java.lang.String T

      See Also:
        Constant Field Values

    - #### U

          public static final java.lang.String U

      See Also:
        Constant Field Values

    - #### V

          public static final java.lang.String V

      See Also:
        Constant Field Values

    - #### X

          public static final java.lang.String X

      See Also:
        Constant Field Values

    - #### Z

          public static final java.lang.String Z

      See Also:
        Constant Field Values

    - #### P00

          public static final java.lang.String P00

      See Also:
        Constant Field Values

    - #### P01

          public static final java.lang.String P01

      See Also:
        Constant Field Values

    - #### P02

          public static final java.lang.String P02

      See Also:
        Constant Field Values

    - #### P03

          public static final java.lang.String P03

      See Also:
        Constant Field Values

    - #### P04

          public static final java.lang.String P04

      See Also:
        Constant Field Values

    - #### P05

          public static final java.lang.String P05

      See Also:
        Constant Field Values

    - #### P06

          public static final java.lang.String P06

      See Also:
        Constant Field Values

    - #### P08

          public static final java.lang.String P08

      See Also:
        Constant Field Values

    - #### P09

          public static final java.lang.String P09

      See Also:
        Constant Field Values

    - #### P0A

          public static final java.lang.String P0A

      See Also:
        Constant Field Values

    - #### P0B

          public static final java.lang.String P0B

      See Also:
        Constant Field Values

    - #### P0H

          public static final java.lang.String P0H

      See Also:
        Constant Field Values

    - #### P0X

          public static final java.lang.String P0X

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getBarcodeCodeID

          public java.lang.String getBarcodeCodeID()

    - #### setBarcodeCodeID

          public void setBarcodeCodeID(java.lang.String barcodeCodeID)

    - #### getBarcodeBytesData

          public byte[] getBarcodeBytesData()

    - #### setBarcodeBytesData

          public void setBarcodeBytesData(byte[] barcodeBytesData)

    - #### getBarcodeSSIID

          public int getBarcodeSSIID()

    - #### setBarcodeSSIID

          public void setBarcodeSSIID(int barcodeSSIID)

    - #### build

          public static BarcodeResult build(byte[] data,
                                            boolean isContainCodeId,
                                            boolean isContainSSIID)

    - #### getBarcodeTypeByCodeId

          public static java.lang.String getBarcodeTypeByCodeId(java.lang.String CodeId)

    - #### getBarcodeTypeBySSIID

          public static java.lang.String getBarcodeTypeBySSIID(int ssiId)